#
# spec file for package python-requestsexceptions
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-requestsexceptions
Version:        1.4.0
Release:        2.15
Summary:        Import exceptions from potentially bundled packages in requests
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            http://www.openstack.org/
Source:         https://files.pythonhosted.org/packages/source/r/requestsexceptions/requestsexceptions-%{version}.tar.gz
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
The python requests library bundles the urllib3 library, however, some
software distributions modify requests to remove the bundled library.
This makes some operations, such as supressing the "insecure platform
warning" messages that urllib emits difficult.  This is a simple
library to find the correct path to exceptions in the requests library
regardless of whether they are bundled.

%prep
%setup -q -n requestsexceptions-%{version}

%build
%python_build

%install
%python_install

%check
# no tests found

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Wed Nov  3 2021 pgajdos@suse.com
- %%check: note that no testsuite have been found
* Thu Apr 25 2019 Dirk Mueller <dmueller@suse.com>
- update to 1.4.0:
  * no changelog
* Mon Jul  3 2017 tbechtold@suse.com
- update to 1.3.0:
  * Updated from global requirements
  * Remove runtime depend on pbr
  * Update tox for OpenStack
- convert to singlespec
- update Source url
* Wed May 24 2017 tbechtold@suse.com
- update to 1.2.0:
  * Use a modern PBR package
* Tue Nov 15 2016 dmueller@suse.com
- update to 1.1.3:
  * Properly indicate python 3 support
* Fri Jan  8 2016 dmueller@suse.com
- Initial package (1.1.2)
